gi-gtk3-3.0.44: Gtk 3.x bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gtk.Objects.CellAccessible

Contents

- Exported types
- Methods

Description

No description available in the introspection data.

Synopsis

- newtype CellAccessible = CellAccessible (ManagedPtr CellAccessible)
- class (GObject o, IsDescendantOf CellAccessible o) => IsCellAccessible o
- toCellAccessible :: (MonadIO m, IsCellAccessible o) => o -> m CellAccessible

# Exported types

newtype CellAccessible Source #

Memory-managed wrapper type.

Constructors

CellAccessible (ManagedPtr CellAccessible) |

#### Instances

Instances details

Eq CellAccessible Source # |
Instance details Defined in GI.Gtk.Objects.CellAccessible Methods (==) :: CellAccessible -> CellAccessible -> Bool Source # (/=) :: CellAccessible -> CellAccessible -> Bool Source #
GObject CellAccessible Source # |
Instance details Defined in GI.Gtk.Objects.CellAccessible
ManagedPtrNewtype CellAccessible Source # |
Instance details Defined in GI.Gtk.Objects.CellAccessible Methods toManagedPtr :: CellAccessible -> ManagedPtr CellAccessible Source #
TypedObject CellAccessible Source # |
Instance details Defined in GI.Gtk.Objects.CellAccessible Methods glibType :: IO GType Source #
HasParentTypes CellAccessible Source # |
Instance details Defined in GI.Gtk.Objects.CellAccessible
IsGValue (Maybe CellAccessible) Source # | Convert `CellAccessible` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Gtk.Objects.CellAccessible Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe CellAccessible -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe CellAccessible) Source #
type ParentTypes CellAccessible Source # |
Instance details Defined in GI.Gtk.Objects.CellAccessible type ParentTypes CellAccessible = '[Accessible, Object, Object, Action, Component, TableCell]

class (GObject o, IsDescendantOf CellAccessible o) => IsCellAccessible o Source #

Type class for types which can be safely cast to `CellAccessible`, for instance with `toCellAccessible`.

#### Instances

Instances details

(GObject o, IsDescendantOf CellAccessible o) => IsCellAccessible o Source # |
Instance details Defined in GI.Gtk.Objects.CellAccessible

toCellAccessible :: (MonadIO m, IsCellAccessible o) => o -> m CellAccessible Source #

Cast to `CellAccessible`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

addRelationship, bindProperty, bindPropertyFull, connectWidgetDestroyed, contains, doAction, forceFloating, freezeNotify, getv, grabFocus, initialize, isFloating, notify, notifyByPspec, notifyStateChange, peekParent, ref, refAccessibleAtPoint, refAccessibleChild, refRelationSet, refSink, refStateSet, removeFocusHandler, removePropertyChangeHandler, removeRelationship, runDispose, scrollTo, scrollToPoint, stealData, stealQdata, thawNotify, unref, watchClosure.

#### Getters

getAccessibleId, getAlpha, getAttributes, getColumnHeaderCells, getColumnSpan, getData, getDescription, getExtents, getHelpText, getIndexInParent, getKeybinding, getLayer, getLocalizedName, getMdiZorder, getNAccessibleChildren, getNActions, getName, getObjectLocale, getParent, getPosition, getProperty, getQdata, getRole, getRowColumnSpan, getRowHeaderCells, getRowSpan, getSize, getTable, getWidget.

#### Setters

setAccessibleId, setData, setDataFull, setDescription, setExtents, setHelpText, setName, setParent, setPosition, setProperty, setRole, setSize, setWidget.